Bug 1373868 - Update tools to the latest commit to introduce go/gcimporter15
Summary: Update tools to the latest commit to introduce go/gcimporter15
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-tools
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Chaloupka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-07 10:29 UTC by Jan Chaloupka
Modified: 2016-10-20 16:25 UTC (History)
3 users (show)

Fixed In Version: golang-googlecode-tools-0-14.1.git9deed8c.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-20 16:25:14 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Jan Chaloupka 2016-09-07 10:33:45 UTC
$ gofed apidiff --compare-with upstream:github.com/golang/tools:1cdaff4a02c554c9fb39dda0b56241c5f0949d91 --reference upstream:github.com/golang/tools:9deed8c6c1c89e0b6d68d727f215de8e851d1064 -ac
+go/ast/astutil: new function: DeleteNamedImport
+go/buildutil: new function: OverlayContext
+go/buildutil: new function: ParseOverlayArchive
+go/buildutil: new function: TagsFlag.Get
+go/buildutil: new function: ExpandPatterns
+go/loader: new function: closure.Import
~go/loader: function updated: -function : parameter count changed: 2 -> 1
~go/loader: type updated: +struct AfterTypeCheck: new field 'AfterTypeCheck'
~go/loader: type updated: -function : parameter count changed: 2 -> 4
~go/loader: type updated: +struct errorFunc: new field 'dir'
+go/ssa: new function: BuilderMode.Set
+go/ssa: new function: BuilderMode.String
+go/ssa: new function: BuilderMode.Get
-go/ssa: function removed: BuilderModeFlag
-go/ssa: function removed: builderModeValue.Get
-go/ssa: function removed: builderModeValue.Set
-go/ssa: function removed: builderModeValue.String
+go/ssa: new variable: BuilderModeDoc
~godoc: function updated: -function : parameter count changed: 3 -> 5
+godoc/dl: new function: File.ChecksumType
+godoc/dl: new function: File.PrettyChecksum
~godoc/dl: type updated: +struct Uploaded: new field 'ChecksumSHA256'
+godoc/vfs: new function: emptyVFS.IsDir
+godoc/vfs: new function: emptyVFS.Open
+godoc/vfs: new function: emptyVFS.Size
+godoc/vfs: new function: emptyVFS.ModTime
+godoc/vfs: new function: emptyVFS.ReadDir
+godoc/vfs: new function: emptyVFS.Lstat
+godoc/vfs: new function: emptyVFS.Name
+godoc/vfs: new function: emptyVFS.Mode
+godoc/vfs: new function: emptyVFS.Sys
+godoc/vfs: new function: NewNameSpace
+godoc/vfs: new function: emptyVFS.Stat
+godoc/vfs: new function: emptyVFS.String
+imports: new function: byImportPathShortLength.Len
+imports: new function: byImportPathShortLength.Less
+imports: new function: byImportPathShortLength.Swap
+imports: new variable: Debug
+imports: new variable: LocalPrefix
~imports: type updated: +struct FormatOnly: new field 'FormatOnly'
+present: new function: Video.TemplateName
+present: new function: Background.TemplateName
+present: new variable: NotesEnabled
+present: new type: Video
+present: new type: Background
~present: type updated: +struct Notes: new field 'Notes'
+refactor/rename: new variable: DiffCmd
+refactor/rename: new variable: Diff
-refactor/rename: variable removed: DryRun

There are some changes in provided API. So far it looks it can be replaced by newer API up to some cases. That will get resolved per-case in affected projects or this update get reverted as the last resort.

Comment 2 Fedora Update System 2016-09-07 11:33:13 UTC
golang-googlecode-tools-0-14.1.git9deed8c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dac8ee235

Comment 3 Fedora Update System 2016-09-09 06:28:20 UTC
golang-googlecode-tools-0-14.1.git9deed8c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6dac8ee235

Comment 4 Fedora Update System 2016-10-20 16:25:14 UTC
golang-googlecode-tools-0-14.1.git9deed8c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.